Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee.statistics
Class CountStatisticImpl

    java.lang.Object
      com.sun.appserv.management.j2ee.statistics.StatisticImpl
          com.sun.appserv.management.j2ee.statistics.CountStatisticImpl

All Implemented Interfaces:
  CountStatistic, java.io.Serializable, Statistic

public class CountStatisticImpl
extends StatisticImpl
implements CountStatistic, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`CountStatisticImpl(CompositeData compositeData)`
`CountStatisticImpl(CountStatistic s)`
`CountStatisticImpl(java.util.Map data)`
`CountStatisticImpl(MapStatistic s)`
`CountStatisticImpl(java.lang.String name, java.lang.String description, java.lang.String unit, long startTime, long lastSampleTime, long count)`

Method Summary
`boolean` | `equals(java.lang.Object rhs)`
`long` | `getCount()` The count since the last reset.

Methods inherited from class com.sun.appserv.management.j2ee.statistics.StatisticImpl
`getDescription, getLastSampleTime, getName, getStartTime, getUnit, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Constructor Detail

### CountStatisticImpl

    public CountStatisticImpl(java.lang.String name,
                              java.lang.String description,
                              java.lang.String unit,
                              long startTime,
                              long lastSampleTime,
                              long count)

### CountStatisticImpl

    public CountStatisticImpl(CompositeData compositeData)

### CountStatisticImpl

    public CountStatisticImpl(CountStatistic s)

### CountStatisticImpl

    public CountStatisticImpl(MapStatistic s)

### CountStatisticImpl

    public CountStatisticImpl(java.util.Map data)

Method Detail

### getCount

    public long getCount()

  Description copied from interface: `CountStatistic`
  The count since the last reset.

  Specified by:
    `getCount` in interface `CountStatistic`

### equals

    public boolean equals(java.lang.Object rhs)

  Overrides:
    `equals` in class `StatisticImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.